/**
 * Created by irazer on 15/03/17.
 */

// Karma configuration
// Generated on Fri Mar 03 2017 14:59:09 GMT+0100 (Romance Standard Time)

module.exports = function(config) {
  config.set({

    // base path that will be used to resolve all patterns (eg. files, exclude)
    basePath: '',


    // frameworks to use
    // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
    frameworks: ['jasmine', 'karma-typescript'],


    // list of files / patterns to load in the browser
    files: [
      'src/**/*.+(ts|html)'
    ],


    // list of files to exclude
    exclude: [
      'src/**/*.d.ts'
    ],

    // proxies used by karma to redirect paths
    proxies: {
      '/src/': '/base/src/'
    },

    // typescript configuration
    karmaTypescriptConfig: {
      tsconfig: "./tsconfig.json",
      reports: {
        cobertura: {
          directory: 'coverage',
          filename: 'coverage.xml',
          subdirectory: 'cobertura'
        },
        html: 'coverage',
        'text-summary': ''
      }
    },

    // preprocess matching files before serving them to the browser
    // available preprocessors: https://npmjs.org/browse/keyword/karma-preprocessor
    preprocessors: {
      '**/*.ts': ['coverage', 'karma-typescript']
    },


    // test results reporter to use
    // possible values: 'dots', 'progress'
    // available reporters: https://npmjs.org/browse/keyword/karma-reporter
    reporters: ['progress', 'karma-typescript'],


    // web server port
    port: 9876,


    // enable / disable colors in the output (reporters and logs)
    colors: true,


    // level of logging
    // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
    logLevel: config.LOG_INFO,


    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: false,


    // start these browsers
    // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
    browsers: ['PhantomJS'],


    // Continuous Integration mode
    // if true, Karma captures browsers, runs the tests and exits
    singleRun: true,

    // Concurrency level
    // how many browser should be started simultaneous
    concurrency: Infinity
  })
};
